Bug 652 - Running more than one GassServer on one machine
: Running more than one GassServer on one machine
Status: RESOLVED FIXED
: CoG jglobus
io
: 1.0a
: PC Linux
: P2 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-01-29 01:50 by
Modified: 2005-12-05 17:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-29 01:50:47
Hi,

I can't run the following code twice simultaneously on one host with
"tcp.port.range" set. 

-----
import org.globus.io.gass.server.GassServer;

public class GassServerTest {
	public static void main(String[] args) {
		try {
			GassServer server = new GassServer();
			System.out.println("Succeded to start GassServer.");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
-----

I see the following exception for the second run.

-----
java.lang.IllegalArgumentException: Port number out of range: -1
        at org.globus.net.PortRange.setPort(PortRange.java:97)
        at org.globus.net.PortRange.free(PortRange.java:91)
        at org.globus.net.PrSSLServerSocket.close
(GSIServerSocketFactory.java:245)
        at java.net.ServerSocket.<init>(ServerSocket.java:188)
        at iaik.security.ssl.SSLServerSocket.<init>(Unknown Source)
        at org.globus.net.PrSSLServerSocket.<init>
(GSIServerSocketFactory.java:238)
        at org.globus.net.GSIServerSocketFactory.createServerSocket
(GSIServerSocketFactory.java:218)
        at org.globus.net.GSIServerSocketFactory.createServerSocket
(GSIServerSocketFactory.java:158)
        at org.globus.net.GSIServerSocketFactory.createServerSocket
(GSIServerSocketFactory.java:125)
        at org.globus.net.BaseServer.<init>(BaseServer.java:65)
        at org.globus.io.gass.server.GassServer.<init>(GassServer.java:88)
        at org.globus.io.gass.server.GassServer.<init>(GassServer.java:63)
        at GassServerTest.main(GassServerTest.java:18)
-----
------- Comment #1 From 2003-02-12 13:37:11 -------
I can't replicate the problem. What OS and Java version are you testing on? And 
what port range did you specify?
------- Comment #2 From 2003-02-12 14:01:31 -------
$ uname -a
Linux gray.is.titech.ac.jp 2.4.17-bf2.4 #1 Sun Feb 3 19:56:58 CET 2002 i686 
unknown unknown GNU/Linux

$ java -version
java version "1.4.1_01"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-b01)
Java HotSpot(TM) Client VM (build 1.4.1_01-b01, mixed mode)

$ cat ~/.globus/cog.properties
cacert=/etc/grid-security/certificates/42864e48.0
proxy=/tmp/x509up_u1131
usercert=/home/sirasuna/.globus/usercert.pem
userkey=/home/sirasuna/.globus/userkey.pem
tcp.port.range=10000,12999
------- Comment #3 From 2003-02-12 14:27:31 -------
I didn't get the exception with the following Java version.  So, I
think the problem is cased by Sun J2SDK 1.4.1_01 on Linux.

$ java -version
java version "1.3.0"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.0)
Classic VM (build 1.3.0, J2RE 1.3.0 IBM build cx130-20001124 (JIT enabled: 
jitc))
------- Comment #4 From 2003-02-13 12:55:52 -------
This is fixed now in cvs.